---
title: Update FR Store Global Rate
slug: api-documentation/update-fr-store-global-rate
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "0dRgnEICy3q6WLS_tJukP",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate"
      }
    ],
    "name": "Update FR Store Global Rate",
    "description": "<p>The endpoint manages the Update operations on FR Store Global Rate.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.create</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Model of the global rates defined by dmc store. None of the fields are optional.",
          "customType": "FRStoreGlobalRate",
          "schema": [
            {
              "name": "siteId",
              "kind": "required",
              "type": "string",
              "description": "Configuration's site identifier.",
              "minLength": 1
            },
            {
              "name": "frGlobalDeliveryRate",
              "kind": "required",
              "type": "object",
              "description": "",
              "example": "",
              "schema": [
                {
                  "name": "baseDistance",
                  "kind": "required",
                  "type": "number<double>",
                  "description": "Base global delivery distance.",
                  "format": "double",
                  "minimum": 0,
                  "maximum": 9999
                },
                {
                  "name": "maximumDistance",
                  "kind": "required",
                  "type": "number<double>",
                  "description": "Maximum global delivery distance.",
                  "format": "double",
                  "minimum": 0,
                  "maximum": 9999
                },
                {
                  "name": "baseMinimumCost",
                  "kind": "required",
                  "type": "number",
                  "description": "Minimum threshold of sum price of all products bought by the customer for premium rates.",
                  "minimum": 0,
                  "maximum": 999999
                },
                {
                  "name": "baseMaximumCost",
                  "kind": "required",
                  "type": "number",
                  "description": "Maximum threshold of sum price of all products bought by the customer for premium rates.",
                  "minimum": 0,
                  "maximum": 999999
                },
                {
                  "name": "basicRateUpperSubtotalLimit",
                  "kind": "required",
                  "type": "number",
                  "description": "The upper threshold level of subtotal for Basic Rate to be applicable.",
                  "minimum": 0,
                  "maximum": 999999
                },
                {
                  "name": "basicRatePromotionalSubtotalLimit",
                  "kind": "optional",
                  "type": "number",
                  "description": "<p>The upper limit of promotional subtotal, for free basic delivery.</p>",
                  "minimum": 0,
                  "maximum": 999999
                },
                {
                  "name": "percentageSubtotal",
                  "kind": "required",
                  "type": "number",
                  "description": "The percentage applied to the subtotal amount to calculate the premium rates.",
                  "minimum": 0,
                  "maximum": 100
                },
                {
                  "name": "perMileCost",
                  "kind": "required",
                  "type": "number",
                  "description": "The cost of each mile the parcel has to travel to reach the destination outside Base Rate Distance Delivery but within the Maximum Distance Delivery area.",
                  "minimum": 0,
                  "maximum": 9999
                },
                {
                  "name": "premiumDeliveryCharges",
                  "kind": "required",
                  "type": "number",
                  "description": "Premium service charges.",
                  "minimum": 0,
                  "maximum": 9999
                },
                {
                  "name": "basicDeliveryCharges",
                  "kind": "required",
                  "type": "number",
                  "description": "Basic service charges.",
                  "minimum": 0,
                  "maximum": 9999
                },
                {
                  "name": "premiumConfigurationsEnabled",
                  "kind": "required",
                  "type": "boolean",
                  "description": "A flag that tells whether premium rate configuration is active or not."
                },
                {
                  "name": "basicConfigurationsEnabled",
                  "kind": "required",
                  "type": "boolean",
                  "description": "A flag that tells whether basic rate configuration is active or not."
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/FRStoreGlobalRate",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "k2AukyxdKlxQUME--72JG",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"siteId\": \"\",\n     \"frGlobalDeliveryRate\": {\n     \"baseDistance\": \"\",\n     \"maximumDistance\": \"\",\n     \"baseMinimumCost\": \"\",\n     \"baseMaximumCost\": \"\",\n     \"basicRateUpperSubtotalLimit\": \"\",\n     \"percentageSubtotal\": \"\",\n     \"perMileCost\": \"\",\n     \"premiumDeliveryCharges\": \"\",\n     \"basicDeliveryCharges\": \"\",\n     \"premiumConfigurationsEnabled\": \"\",\n     \"basicConfigurationsEnabled\": \"\"\n     }\n     }'"
        },
        {
          "id": "OKWMx1PMVBRbOeTSV3xDf",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"siteId\": \"\",\n   \"frGlobalDeliveryRate\": {\n      \"baseDistance\": \"\",\n      \"maximumDistance\": \"\",\n      \"baseMinimumCost\": \"\",\n      \"baseMaximumCost\": \"\",\n      \"basicRateUpperSubtotalLimit\": \"\",\n      \"percentageSubtotal\": \"\",\n      \"perMileCost\": \"\",\n      \"premiumDeliveryCharges\": \"\",\n      \"basicDeliveryCharges\": \"\",\n      \"premiumConfigurationsEnabled\": \"\",\n      \"basicConfigurationsEnabled\": \"\"\n   }\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "d7R0GA37QW_cbuDOeMxUr",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"siteId\": \"\",\n   \"frGlobalDeliveryRate\": {\n      \"baseDistance\": \"\",\n      \"maximumDistance\": \"\",\n      \"baseMinimumCost\": \"\",\n      \"baseMaximumCost\": \"\",\n      \"basicRateUpperSubtotalLimit\": \"\",\n      \"percentageSubtotal\": \"\",\n      \"perMileCost\": \"\",\n      \"premiumDeliveryCharges\": \"\",\n      \"basicDeliveryCharges\": \"\",\n      \"premiumConfigurationsEnabled\": \"\",\n      \"basicConfigurationsEnabled\": \"\"\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "wont8uhJJ-5jvtxDMstJT",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate\"\n\npayload = json.dumps({\n   \"siteId\": \"\",\n   \"frGlobalDeliveryRate\": {\n      \"baseDistance\": \"\",\n      \"maximumDistance\": \"\",\n      \"baseMinimumCost\": \"\",\n      \"baseMaximumCost\": \"\",\n      \"basicRateUpperSubtotalLimit\": \"\",\n      \"percentageSubtotal\": \"\",\n      \"perMileCost\": \"\",\n      \"premiumDeliveryCharges\": \"\",\n      \"basicDeliveryCharges\": \"\",\n      \"premiumConfigurationsEnabled\": \"\",\n      \"basicConfigurationsEnabled\": \"\"\n   }\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "k2AukyxdKlxQUME--72JG"
    },
    "results": {
      "languages": [
        {
          "id": "VXj9AhxFzpY63MaF9fWYv",
          "language": "200",
          "code": "// OK\n"
        },
        {
          "id": "Wf_YkE9ci_AaYstui4VPd",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "fRqkasN8OBah53IgXoBVa",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "VXj9AhxFzpY63MaF9fWYv"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}